summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-office/libreoffice/libreoffice-7.0.9999.ebuild')
-rw-r--r--app-office/libreoffice/libreoffice-7.0.9999.ebuild14
1 files changed, 11 insertions, 3 deletions
diff --git a/app-office/libreoffice/libreoffice-7.0.9999.ebuild b/app-office/libreoffice/libreoffice-7.0.9999.ebuild
index 735ca0fa649..5040a3e0391 100644
--- a/app-office/libreoffice/libreoffice-7.0.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-7.0.9999.ebuild
@@ -183,9 +183,17 @@ COMMON_DEPEND="${PYTHON_DEPS}
net-wireless/bluez
)
clang? (
- sys-devel/clang
- sys-devel/llvm
- sys-devel/lld
+ || (
+ ( sys-devel/clang:10
+ sys-devel/llvm:10
+ =sys-devel/lld-10* )
+ ( sys-devel/clang:11
+ sys-devel/llvm:11
+ =sys-devel/lld-11* )
+ ( sys-devel/clang:12
+ sys-devel/llvm:12
+ =sys-devel/lld-12* )
+ )
)
coinmp? ( sci-libs/coinor-mp )
cups? ( net-print/cups )